%define oname	pycrypto

Summary:	Python interface to various crypto algorithms and protocols
Name:		python-%{oname}
Version:	2.3
%define subrel	2
Release:	%mkrel 2
Source0:	http://ftp.dlitz.net/pub/dlitz/crypto/pycrypto/%{oname}-%{version}.tar.gz
Source1:	http://ftp.dlitz.net/pub/dlitz/crypto/pycrypto/%{oname}-%{version}.tar.gz.asc
Patch0:		pycrypto-2.1.0-64bit.patch
Patch1:		pycrypto-libm.patch
Patch2:		pycrypto-2.3-CVE-2012-2417.diff
Patch3:		pycrypto-2.3-CVE-2013-1445.diff
License:	Public Domain
Group:		Development/Python
URL:		http://www.pycrypto.org
BuildRequires:	python-devel >= 2.2
BuildRequires:	gmp-devel
Requires:	python >= 2.2
Obsoletes:	pycrypto =< %{version}-%{release}
Provides:	pycrypto = %{version}-%{release}

%description
The Toolkit is a collection of cryptographic algorithms and protocols,
implemented for use from Python. Among the contents of the package:

 * Hash functions: MD2, MD4, RIPEMD.
 * Block encryption algorithms: AES, ARC2, Blowfish, CAST, DES, Triple-
   DES, IDEA, RC5.
 * Stream encryption algorithms: ARC4, simple XOR.
 * Public-key algorithms: RSA, DSA, ElGamal, qNEW.
 * Protocols: All-or-nothing transforms, chaffing/winnowing.
 * Miscellaneous: RFC1751 module for converting 128-key keys into a set
   of English words, primality testing.
 * Some demo programs (currently all quite old and outdated).

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p0 -b .64bit
%patch1 -p0 -b .libm
%patch2 -p0 -b .CVE-2012-2417
%patch3 -p1 -b .CVE-2013-1445

perl -pi -e 's|/usr/local/bin/|%{_bindir}/|' Util/RFC1751.py 

%build
CFLAGS="%{optflags}" python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot} --compile --optimize=2

%clean
rm -rf %{buildroot}

%files
%doc ChangeLog README COPYRIGHT TODO
%{py_platsitedir}/*


%changelog
* Fri Oct 18 2013 oden <oden> 2.3-2.2.mga2
+ Revision: 509141
- P3: security fix for CVE-2013-1445 (upstream)

  + luigiwalser <luigiwalser>
    - add patch to fix CVE-2012-2417 (from suse via mdv)

  + erwan <erwan>
    - Fixing libm inclusion during fastmath compilation
    - imported package python-pycrypto

